> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Transactions

export const get_pagination_defaults = (resource_name = 'records') => [{
  name: 'from_date',
  type: 'string',
  required: false,
  description: `ISO 8601 formatted date (YYYY-MM-DD) to filter for ${resource_name} created on or after the date provided.`
}, {
  name: 'to_date',
  type: 'string',
  required: false,
  description: `ISO 8601 formatted date (YYYY-MM-DD) to filter for ${resource_name} created on or before the date provided.`
}, {
  name: 'page',
  type: 'string',
  required: false,
  description: `The page number to return.`
}, {
  name: 'page_cursor',
  type: 'string',
  required: false,
  description: <>
        The ID of a resource from which a page should start or end. Mutually exclusive with <code>page</code>.
      </>
}, {
  name: 'page_limit',
  type: 'string',
  required: false,
  description: `The number of ${resource_name} to return per page. Default and maximum is 100.`
}];

export const ParamList = ({items = [], is_child = false}) => {
  return items.map(item => {
    const field_props = {
      id: Math.random().toString(),
      body: item.name,
      name: item.name,
      type: item.type,
      required: item.required
    };
    const enums = item.enums || [];
    const items = item.items || [];
    const has_items = items?.length > 0;
    const has_enums = enums?.length > 0;
    const should_default_open = item.defaultOpen || false;
    const render_child_item = () => {
      const child_props = {
        title: has_enums ? "Possible enum values" : "properties"
      };
      if (should_default_open) child_props.defaultOpen = true;
      const has_inline_enums = has_enums && enums.every(enum_item => typeof enum_item === 'string') && enums.map((enum_item, idx) => {
        const is_last = idx === enums.length - 1;
        const is_2nd_to_last = idx === enums.length - 2;
        return <>
            <code>{enum_item}</code>
            {is_last && ''}
            {is_2nd_to_last && ' or '}
            {!is_last && !is_2nd_to_last && ', '}
          </>;
      });
      const enum_list = has_enums && !has_inline_enums && <Accordion {...child_props}>
          {enums.map((enum_item, index) => <div key={`enum-${index}`}>
              <code>{enum_item.name}</code>
              <br />
              <p>{enum_item.description}</p>
            </div>)}
        </Accordion>;
      const item_list = has_items && <Expandable {...child_props}>
          <ParamList items={items || []} is_child />
        </Expandable>;
      return <>
          <p>
            {item.description}
            {has_inline_enums && [has_inline_enums.length > 1 ? ' One of ' : ' Must be ', ...has_inline_enums]}
          </p>

          {enum_list}
          {item_list}
        </>;
    };
    return is_child ? <ResponseField {...field_props}>{render_child_item()}</ResponseField> : <ParamField {...field_props}>{render_child_item()}</ParamField>;
  });
};

Retrieve a list of Transactions objects for a specific Account.

## Path Parameters

<ParamList
  items={[
{
name: 'acc_id',
type: 'string',
required: true,
description: 'ID of the Account.',
}
]}
/>

## Query Parameters

<ParamList
  items={[
...get_pagination_defaults('Transactions'),
]}
/>

## Returns

Returns a list of Transactions for the account.

<RequestExample>
  ```bash cURL theme={null}
  curl "https://production.methodfi.com/accounts/acc_yVf3mkzbhz9tj/transactions?from_date=2024-03-13&to_date=2024-03-15" \
    -X GET \
    -H "Method-Version: 2026-03-30" \
    -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
  ```

  ```javascript Node.js theme={null}
  const transactions = await method
    .accounts('acc_yVf3mkzbhz9tj')
    .transactions
    .list({
      from_date: '2024-03-13',
      to_date: '2024-03-15',
    });
  ```

  ```python Python theme={null}
  transactions = (method
    .accounts('acc_yVf3mkzbhz9tj')
    .transactions
    .list({
      'from_date': '2024-03-13',
      'to_date': '2024-03-15'
    }))
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "data": [
      {
        "id": "txn_t73AdHRFYwhT9",
        "account_id": "acc_XtKTpHLGhD9Qn",
        "status": "posted",
        "descriptor": "SQ *BENNU COFFEE",
        "merchant": {
          "name": "Bennu Coffee",
          "logo": null
        },
        "merchant_category_code": "5441",
        "amount": 3764,
        "auth_amount": 3764,
        "currency_code": "USD",
        "transaction_amount": 3764,
        "transaction_auth_amount": 3764,
        "transaction_currency_code": "USD",
        "transacted_at": "2025-03-05T07:48:06.000Z",
        "posted_at": "2025-03-06T05:00:00.000Z",
        "voided_at": null,
        "original_txn_id": null,
        "created_at": "2025-03-24T03:54:29.283Z",
        "updated_at": "2025-03-24T04:04:39.200Z"
      }
    ]
  }
  ```
</ResponseExample>
